com.streambase.sb.operator

## Enum Operator.LogLevel

- java.lang.Object
- - java.lang.Enum<Operator.LogLevel>
  - - com.streambase.sb.operator.Operator.LogLevel

- All Implemented Interfaces:
    Serializable, Comparable<Operator.LogLevel>
  Enclosing class:
    Operator

      public static enum Operator.LogLevel
      extends Enum<Operator.LogLevel>

  Included values are, in decreasing order of chattiness: `Operator.LogLevel.ALL`, `Operator.LogLevel.TRACE`, `Operator.LogLevel.DEBUG`, `Operator.LogLevel.INFO`, `Operator.LogLevel.WARN`, `Operator.LogLevel.ERROR`, `Operator.LogLevel.OFF`.
  Since:
    6.4.6 initial release

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Enable all logging
    `DEBUG` Debug logging
    `ERROR` Error logging
    `INFO` Informational logging
    `OFF` Disable logging
    `TRACE` Trace logging
    `WARN` Warning logging

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) int` | `intLevel()`
    `static Operator.LogLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operator.LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final Operator.LogLevel OFF

      Disable logging

    - #### ERROR

          public static final Operator.LogLevel ERROR

      Error logging

    - #### WARN

          public static final Operator.LogLevel WARN

      Warning logging

    - #### INFO

          public static final Operator.LogLevel INFO

      Informational logging

    - #### DEBUG

          public static final Operator.LogLevel DEBUG

      Debug logging

    - #### TRACE

          public static final Operator.LogLevel TRACE

      Trace logging

    - #### ALL

          public static final Operator.LogLevel ALL

      Enable all logging

  - ### Method Detail

    - #### values

          public static Operator.LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operator.LogLevel c : Operator.LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operator.LogLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### intLevel

          int intLevel()

      Returns:
        the numeric value associated with this LogLevel.

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.